Retrieves the user_skill_list object with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

user_skill_list
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
user_id

Foreign key to user

globally unique identifier

Optionally required : user_id, user_code or user must be provided

user_code

Embedded entity "user" using ERP PK when adding/updating user_skill_list

string

Optionally required : user_id, user_code or user must be provided

user

Embedded entity "user" using node when adding/updating user_skill_list

user

Optionally required : user_id, user_code or user must be provided

skill_id

Foreign key to skill

globally unique identifier

Optionally required : skill_id, skill_code or skill must be provided

skill_code

Embedded entity "skill" using ERP PK when adding/updating user_skill_list

string

Optionally required : skill_id, skill_code or skill must be provided

skill

Embedded entity "skill" using node when adding/updating user_skill_list

skill

Optionally required : skill_id, skill_code or skill must be provided

reference_back_office

Field used for Embedded entity (store there your ERP PK)

string

Max length: 50

modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "93577b8f-9bd8-4974-b44f-e9e80ec1ecdc",
  "user_id": "9e14c71b-b998-4342-b7d7-77e2a520a053",
  "user_code": "sample string 3",
  "user": {
    "id": "d66741ae-712e-4c11-936d-814de2858879",
    "db_language_id": "421a5307-1ef2-472f-9c46-5676bf3ad335",
    "username": "sample string 3",
    "firstname": "sample string 4",
    "lastname": "sample string 5",
    "code": "sample string 6",
    "archived": true,
    "disabled": true,
    "emergency_contact": "sample string 9",
    "bankaccount": "sample string 10",
    "social_security": "sample string 11",
    "place_of_birth": "sample string 12",
    "nationality": "sample string 13",
    "functions": "sample string 14",
    "birthdate": "2026-04-29T04:44:44.4289549+00:00",
    "skype": "sample string 16",
    "notes": "sample string 17",
    "sales_organization_id": "8bfdb01e-9b56-4bb4-8f3c-361606e6a255",
    "sales_organization": {
      "id": "06834177-f24c-4f99-b4ed-901c179fffeb",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "788f2dce-3019-43c3-b531-1e246c90704f",
      "db_currency_id": "44ebf1d4-2a30-4a2f-bbcc-030e18e83772",
      "db_language_id": "671d7b00-9d4b-4ecd-874f-1b6fa142b5ad",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-04-29T04:44:44.4289549+00:00"
    },
    "sales_organization_code": "sample string 19",
    "is_team_leader": true,
    "team_leader_user_id": "9448fa61-caf1-4add-a9ce-0192721400ed",
    "email": "sample string 22",
    "phone": "sample string 23",
    "fax": "sample string 24",
    "mobile": "sample string 25",
    "private_email": "sample string 26",
    "private_phone": "sample string 27",
    "private_fax": "sample string 28",
    "private_mobile": "sample string 29",
    "private_street": "sample string 30",
    "private_street_number": "sample string 31",
    "private_city": "sample string 32",
    "private_zip": "sample string 33",
    "private_db_country_id": "37c858cb-b173-47b7-96b1-1d57a3d8072d",
    "private_db_country_code": "sample string 35",
    "modified_dateutc": "2026-04-29T04:44:44.4289549+00:00",
    "allow_hero_app": true,
    "allow_sales_app": true,
    "allow_service_app": true,
    "user_group_id": "3590ad28-6e84-4d6c-974f-0a9ab391a79c"
  },
  "skill_id": "f0143a32-b854-475f-9765-424739672da0",
  "skill_code": "sample string 5",
  "skill": {
    "id": "c8e3acf2-4dc9-4cfe-b9be-98990834fb65",
    "name": "sample string 2",
    "description": "sample string 3",
    "code": "sample string 4",
    "sales_organization_id": "6954cb9c-3115-4121-aa91-990632b87c43",
    "sales_organization_code": "sample string 6",
    "sales_organization": {
      "id": "06834177-f24c-4f99-b4ed-901c179fffeb",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "788f2dce-3019-43c3-b531-1e246c90704f",
      "db_currency_id": "44ebf1d4-2a30-4a2f-bbcc-030e18e83772",
      "db_language_id": "671d7b00-9d4b-4ecd-874f-1b6fa142b5ad",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-04-29T04:44:44.4289549+00:00"
    },
    "modified_dateutc": "2026-04-29T04:44:44.4289549+00:00"
  },
  "reference_back_office": "sample string 6",
  "modified_dateutc": "2026-04-29T04:44:44.4289549+00:00"
}